--- title: "Get schema list" slug: "datastream-getschemas" updated: 2026-09-17T09:47:59Z published: 2026-09-17T09:47:59Z canonical: "api.ncloud-docs.com/datastream-getschemas" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get schema list Available in VPC Get the list of schemas registered in a topic. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/topics/{topicId}/schemas | ### Request headers For information about the headers common to all Data Stream APIs, see [Data Stream request headers](/docs/en/datastream-overview#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `topicId` | String | Required | Topic ID - See [Get topic list](/docs/en/datastream-gettopic). | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `schemaType` | String | Optional | Schema type - `AVRO` \| `JSON` \| `PROTOBUF` - If not specified, query all schema types. | | `schemaId` | Number | Optional | Schema registry ID - Filter by a specific schema registry ID. | | `page` | Number | Optional | Page number (start from 0, default: 0) | | `size` | Number | Optional | Page size (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://datastream.apigw.ntruss.com/api/v1/topics/mgNWA*****/schemas?schemaType=AVRO&page=0&size=10' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `schemas` | Array | - | [Schema list](/docs/en/datastream-getschemas#schemas) | | `totalCount` | Number | - | Total schema count | | `pageNo` | Number | - | Current page number | | `pageSize` | Number | - | Page size | #### `schemas` The following describes `schemas`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `resourceId` | String | - | Schema resource ID - Use for individual schema queries and deletions. | | `schemaId` | Number | - | Schema ID | | `schemaType` | String | - | Schema type - `AVRO` \| `JSON` \| `PROTOBUF` | | `version` | Number | - | Schema version | | `createdDate` | String | - | Schema creation date and time - ISO 8601 format - `YYYY-MM-DDThh:mm:ssZ` | ### Response status codes For information about the HTTP status codes common to all Data Stream APIs, see [Data Stream response status codes](/docs/en/datastream-overview#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "schemas": [ { "resourceId": "schema-1", "schemaId": 1, "schemaType": "AVRO", "version": 1, "createdDate": "2024-01-01T10:00:00Z" }, { "resourceId": "schema-2", "schemaId": 2, "schemaType": "JSON", "version": 2, "createdDate": "2024-01-01T11:00:00Z" } ], "totalCount": 2, "pageNo": 0, "pageSize": 10 } ```